System Administration
cancel
Showing results for 
Search instead for 
Did you mean: 

Unable to update A6826A Fibre Card

ROSS HANSON
Regular Advisor

Unable to update A6826A Fibre Card

Hello,
I am getting EMS errors on a fibre card and I was told to update the drivers. This is on a rp7420 server running 11.11 and the current driver version on the card is:

# fcmsutil /dev/fcd0
Driver Version = @(#) libfcd.a HP Fibre Channel ISP 23xx Driver B.11.11.02 /ux/kern/kisu/FCD/src/common/wsio/fcd_init.c:Oct 1 2003,23:03:56

I downloaded FibrChanl-01_B.11.11.13_HP-UX_B.11.11_64.depot but the update will not work. The error messages I get are:

ERROR: The dependencies for fileset "FC-FCD.FC-FCD-KRN,r=B.11.11.13"
cannot be resolved (see previous lines).
You must resolve the above dependencies before operating on
this fileset or change the "enforce_dependencies" option to
"false".
The prerequisite "FC-TACHYON-TL.FC-TL-RUN,r>=B.11.11.10" for
fileset "FC-FCD.FC-FCD-RUN,r=B.11.11.13" cannot be
successfully resolved.

but I cannot find any "FC-TACHYON-TL.FC-TL-KRN,r>=B.11.11.10 to download if this is what is needed

What am I missing?

My current patch level is:
GOLDAPPS11i B.11.11.0806.476 Applications Patches for HP-UX 11i v1, May 2008

GOLDBASE11i B.11.11.0806.476 Base Patches for HP-UX 11i v1, May 2008
Ross Hanson
18 REPLIES
Torsten.
Acclaimed Contributor

Re: Unable to update A6826A Fibre Card

These are the filesets I found:

FibrChanl-00.FC-TACHYON-TL.FC-TL-KRN B.11.11.18 Fibre Channel Tachyon TL Kernel Library
FibrChanl-00.FC-TACHYON-TL.FC-TL-KRN B.11.11.18 Fibre Channel Tachyon TL Kernel Library
FibrChanl-00.FC-TACHYON-TL.FC-TL-RUN B.11.11.18 Fibre Channel Tachyon TL User Space files
FibrChanl-01.FC-FCD.FC-FCD-KRN B.11.11.16 Fibre Channel FCD Kernel Library
FibrChanl-01.FC-FCD.FC-FCD-RUN B.11.11.16 Fibre Channel FCD User Space files



From were did you get your depot?

Please try this newer version:

https://h20392.www2.hp.com/portal/swdepot/displayProductInfo.do?productNumber=FibrChanl-01

Hope this helps!
Regards
Torsten.

__________________________________________________
There are only 10 types of people in the world -
those who understand binary, and those who don't.

__________________________________________________
No support by private messages. Please ask the forum!

If you feel this was helpful please click the KUDOS! thumb below!   
ROSS HANSON
Regular Advisor

Re: Unable to update A6826A Fibre Card

Thanks for the reply Torsten but that driver gave me the exact same problems the first one did. I still cannot find what prerequisite I am missing
Error message received:

The prerequisite "FC-TACHYON-TL.FC-TL-KRN,r>=B.11.11.10" for fileset
"FC-FCD.FC-FCD-KRN,r=B.11.11.16"
cannot be successfully resolved.

any ideas????
Ross Hanson
Tingli
Esteemed Contributor

Re: Unable to update A6826A Fibre Card

Can you install it by turning "enforce_dependencies" off?
Duncan Edmonstone
Honored Contributor

Re: Unable to update A6826A Fibre Card

Sorry Tingli, but that's really *bad* advice, and a great way to create a broken system - In 10 years of admin'ing HP-UX boxes, I've never had to do that - don't fix the symptom, fix the problem!

Ross,

It would appear that for whatever reason the FibrChanl-01 driver bundle now has (or has always had - I'm not sure!) a dependency on the FibrChanl-00 bundle - presumably you have a version of that, that is too old for the new FCD driver...

Anyway, I suspect what you need to do is install the latest version of the FibrChanl-00 bundle either at the same time (if you know how to create a single depot from the 2 downloads), or before you install FibrChanl-01.

You can get the latest FibrChanl-00 bundle here:

https://h20392.www2.hp.com/portal/swdepot/displayProductInfo.do?productNumber=FibrChanl00

HTH

Duncan

HTH

Duncan
Torsten.
Acclaimed Contributor

Re: Unable to update A6826A Fibre Card

I did some

RTFM

"...
The following software (or later versions) must be installed before installing the FibrChanl-01 (fcd) driver, version B.11.11.16, into a system:

- Driver FibrChanl-00 (td) version B.11.11.16 or later for HP-UX 11i v1 (needed for SNIA-API)

..."



Well, install FibrChanl-00 and patches first!



http://docs.hp.com/en/J6374-90072/ar01s06.html?btnNext=next%A0%BB

Hope this helps!
Regards
Torsten.

__________________________________________________
There are only 10 types of people in the world -
those who understand binary, and those who don't.

__________________________________________________
No support by private messages. Please ask the forum!

If you feel this was helpful please click the KUDOS! thumb below!   
ROSS HANSON
Regular Advisor

Re: Unable to update A6826A Fibre Card

Hello again,
I have looked at all your suggestions and this is what I have completed.
I looked at the patch requirements for the upgrade and I have all of them but, you know I am having problems with the first item in the list: FibrChanl-00 (td) version B.11.11.16
I do not need to boot from a SAN so I did not try to load any other patches
Ross Hanson
Fabio Ettore
Honored Contributor

Re: Unable to update A6826A Fibre Card

Hi,

here wher you find the FibrChann-00 depot:

https://h20392.www2.hp.com/portal/swdepot/displayProductInfo.do?productNumber=FibrChanl00

It's currently at the version 11.11.19. Once installed it you can install Fibr-Chann-01.

HTH.

Best regards,
Fabio
WISH? IMPROVEMENT!
ROSS HANSON
Regular Advisor

Re: Unable to update A6826A Fibre Card

OK, Yes I found the version Fabio spoke of 19 I will get all installed when I can take down the system then I will let you know what happen and hopefully assign points.
Ross Hanson
Anoopkumar
Frequent Advisor

Re: Unable to update A6826A Fibre Card

Hi ,

I am also facing the same issue. But from the above mentioned links I couldnâ t see A6826A,

Fiber channel -00 drivers available only for

A6795A PCI Tachyon TL/TS/XL2 Fibre Channel Adapter
A5158A PCI Tachlite Fibre Channel Adapter
A6684A HSC-eff Tachlite Fibre Channel Adapter
A6685A HSC Tachlite Fibre Channel Adapter

Please help me to resolve the same..
Thanks
Anoop
Torsten.
Acclaimed Contributor

Re: Unable to update A6826A Fibre Card

You probably need both, FibrChanl-00 and FibrChanl-01, because of dependencies.

Hope this helps!
Regards
Torsten.

__________________________________________________
There are only 10 types of people in the world -
those who understand binary, and those who don't.

__________________________________________________
No support by private messages. Please ask the forum!

If you feel this was helpful please click the KUDOS! thumb below!   
Anoopkumar
Frequent Advisor

Re: Unable to update A6826A Fibre Card

Yes , But I coudn't find Fiber Chanel 00 Driver for A6826A..
Thanks
Anoop
Torsten.
Acclaimed Contributor

Re: Unable to update A6826A Fibre Card

Links are in this thread - see above.

Hope this helps!
Regards
Torsten.

__________________________________________________
There are only 10 types of people in the world -
those who understand binary, and those who don't.

__________________________________________________
No support by private messages. Please ask the forum!

If you feel this was helpful please click the KUDOS! thumb below!   
Anoopkumar
Frequent Advisor

Re: Unable to update A6826A Fibre Card


Hi ,

I have checked the links,

But I can see
Fiber channel -00 drivers available only for

A6795A PCI Tachyon TL/TS/XL2 Fibre Channel Adapter
A5158A PCI Tachlite Fibre Channel Adapter
A6684A HSC-eff Tachlite Fibre Channel Adapter
A6685A HSC Tachlite Fibre Channel Adapter

A6826A is not there..can I update the same for A6826A also ..

Thanks
Anoop

Torsten.
Acclaimed Contributor

Re: Unable to update A6826A Fibre Card

I repeat - You probably need both, FibrChanl-00 and FibrChanl-01, because of dependencies.


Please open your own thread next time, don't hijack other threads.

Hope this helps!
Regards
Torsten.

__________________________________________________
There are only 10 types of people in the world -
those who understand binary, and those who don't.

__________________________________________________
No support by private messages. Please ask the forum!

If you feel this was helpful please click the KUDOS! thumb below!   
Anoopkumar
Frequent Advisor

Re: Unable to update A6826A Fibre Card

Ok I will do the same..

Sorry for the trouble..


Thanks..
Anoop
Torsten.
Acclaimed Contributor

Re: Unable to update A6826A Fibre Card

In other words, your card needs FibrChanl-01, but FibrChanl-01 needs FibrChanl-00, clear now?

Hope this helps!
Regards
Torsten.

__________________________________________________
There are only 10 types of people in the world -
those who understand binary, and those who don't.

__________________________________________________
No support by private messages. Please ask the forum!

If you feel this was helpful please click the KUDOS! thumb below!   
Anoopkumar
Frequent Advisor

Re: Unable to update A6826A Fibre Card

Yes its clear now . sucessfuly updated ..

Thanks for your support
srayfay
Valued Contributor

Re: Unable to update A6826A Fibre Card

Hello,

I have the same probleme, Installing the patchs you required had fix my issue

 

Install first :

https://h20392.www2.hp.com/portal/swdepot/displayProductInfo.do?productNumber=FibrChanl00

 

Then you can install the required drivers

Regards